import hashlib

class SHA512:

    @staticmethod
    def hash_password(password: str) -> str:
        """Generates the SHA-512 hash of a password."""
        hash_object = hashlib.sha512(password.encode('utf-8'))
        hashed_password = hash_object.hexdigest()

        return hashed_password

    @staticmethod
    def verify_password(stored_password: str, password: str) -> bool:
        """Checks if the provided password matches the stored hash."""
        return SHA512.hash_password(password) == stored_password